<?php 
require_once('../modelos/Reporte.php');

$reporte=new Reporte();


switch ($_GET["op"])
{

    case 'listar_cliente_venta':
        $fecha_inicio=$_REQUEST['fecha_inicio'];
        $fecha_fin=$_REQUEST['fecha_fin'];
        $rspta=$reporte->listar_cliente_venta($fecha_inicio,$fecha_fin);
        //Vamos a declarar un array
        $data=Array();
        $i=1;
        while($reg=$rspta->fetch_object())
        {

                if($reg->estado == '1'){
                $es ='<button class="btn btn-success btn-xs btn-flat"> Activo </button>';
                }else{
                  $es ='<button class="btn btn-danger btn-xs btn-flat"> Inactivo </button>';
                }

          $data[]=array(
            "0" => $i,
            "1"=>$reg->ventas_conteo,
            "2"=>$reg->nombre,
            "3"=>$reg->numero_celular,
            "4"=>$es,
            "5"=>number_format($reg->total,2)
          );
          $i++; 
        }
        $results= array(
          "sEcho"=>1, //Informacion para el datatable
          "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
          "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
          "aaData"=>$data);
          echo json_encode($results, JSON_PRETTY_PRINT);
  
      break;

      case 'listar_venta':
        $fecha_inicio=$_REQUEST['fecha_inicio'];
        $fecha_fin=$_REQUEST['fecha_fin'];
        $idpersona=$_REQUEST['idpersona'];
        $rspta=$reporte->listar_venta($fecha_inicio,$fecha_fin,$idpersona);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;

      case 'listar_guia':
        $guia1=$_REQUEST['guia1'];
        $guia2=$_REQUEST['guia2'];
        
        $rspta=$reporte->listar_guia($guia1,$guia2);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;

      case 'listar_kardex':
        //$guia1=$_REQUEST['guia1'];
        //$guia2=$_REQUEST['guia2'];
        
        $rspta=$reporte->listar_kardex();
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;


      case 'listar_transferencia':
        $fecha_inicio=$_REQUEST['fecha_inicio'];
        $fecha_fin=$_REQUEST['fecha_fin'];
        $idalmacen=$_REQUEST['idalmacen'];

        if (!empty($fecha_inicio) && !empty($fecha_fin) && !empty($idalmacen)) {
          $rspta = $reporte->listar_transferencias_almacen($fecha_inicio,$fecha_fin,$idalmacen);
        } elseif (!empty($fecha_inicio) && !empty($fecha_fin)) {
            $rspta = $reporte->listar_transferencias($fecha_inicio,$fecha_fin);
        }
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;

      case 'listar_salida':
        $fecha_inicio=$_REQUEST['fecha_inicio'];
        $fecha_fin=$_REQUEST['fecha_fin'];
        $idproducto=$_REQUEST['idproducto'];
        $idcolor=$_REQUEST['idcolor'];
        $idalmacen=$_REQUEST['idalmacen'];

        if (!empty($fecha_inicio) && !empty($fecha_fin) && !empty($idproducto) && !empty($idcolor) && !empty($idalmacen)) {
          $rspta = $reporte->listar_fecha_producto_color($fecha_inicio, $fecha_fin, $idalmacen, $idproducto, $idcolor);
        } else if (!empty($fecha_inicio) && !empty($fecha_fin) && !empty($idproducto) && !empty($idalmacen)) {
            $rspta = $reporte->listar_fecha_producto($fecha_inicio, $fecha_fin, $idalmacen, $idproducto);
        } else if (!empty($fecha_inicio) && !empty($fecha_fin) && !empty($idalmacen)) {
           $rspta = $reporte->listar_fecha_almacen($fecha_inicio, $fecha_fin, $idalmacen);
        } else if (!empty($fecha_inicio) && !empty($fecha_fin)) {
          $rspta = $reporte->listar_fecha($fecha_inicio, $fecha_fin);
        } 
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;

      case 'listar_ingreso':
        $fecha_inicio=$_REQUEST['fecha_inicio'];
        $fecha_fin=$_REQUEST['fecha_fin'];
        $idproducto=$_REQUEST['idproducto'];
        $idcolor=$_REQUEST['idcolor'];

        if (!empty($fecha_inicio) && !empty($fecha_fin) && !empty($idproducto) && !empty($idcolor)) {
          $rspta = $reporte->listar_fecha_producto_color_ingreso($fecha_inicio, $fecha_fin, $idproducto, $idcolor);
        } else if (!empty($fecha_inicio) && !empty($fecha_fin) && !empty($idproducto)) {
            $rspta = $reporte->listar_fecha_producto_ingreso($fecha_inicio, $fecha_fin, $idproducto);
        } else if (!empty($fecha_inicio) && !empty($fecha_fin)) {
          $rspta = $reporte->listar_fecha_ingreso($fecha_inicio, $fecha_fin);
        } 
        
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;

      case 'listar_total':
        $fecha_inicio=$_REQUEST['fecha_inicio'];
        $fecha_fin=$_REQUEST['fecha_fin'];
        $idproducto=$_REQUEST['idproducto'];
        $idalmacen=$_REQUEST['idalmacen'];

        if (!empty($fecha_inicio) && !empty($fecha_fin) && !empty($idalmacen) && !empty($idproducto)) {
          $rspta = $reporte->listar_fecha_producto_total($fecha_inicio, $fecha_fin, $idalmacen, $idproducto);
        } else if (!empty($fecha_inicio) && !empty($fecha_fin) && !empty($idalmacen)) {
            $rspta = $reporte->listar_fecha_almacen_total($fecha_inicio, $fecha_fin, $idalmacen);
        } else if (!empty($fecha_inicio) && !empty($fecha_fin)) {
          $rspta = $reporte->listar_fecha_total($fecha_inicio, $fecha_fin);
        } 
        
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;
}